Subject: RE: (ipv6) The meaning of "site"

From: "Michel Py" <[email-masked]>
Date: Sun, 3 Nov 2002 13:06:24 -0800

Hi Mark,

>> Michel Py wrote:
>> While I fully agree with your reading of the RFC and the
>> English connotation of the word "site", it appears to be
>> an unwritten convention that says that a site is a /48.
>> This leads to some semantic confusion in the case of
>> organizations that get a /48 and are spanned over several
>> physical locations that could be separated by hundreds or
>> thousands of miles.

> Mark Smith wrote
> Agreed.
> The 54 bits for subnet allocation in a site-local address
> tends to strongly suggest that a site-local addressing 
> boundary is not a geographical boundary.
> The huge number of subnet bits also tends to suggest that
> within the administrative boundaries of a connected network,
> only one instance of SL addressing should exist.
> For simplicity reasons, my IPv6 network would have a single
> instance of site-local addressing, and if I had to merge it
> with another IPV6 network using site-local addressing, I
> would be working towards achieving a single site-local
> addressing instance again, as part of the process of merging
> the networks.

Agreed. Merging two networks is like a marriage: there are some things
that are not as good as there were when the two individuals were single.
The pain of renumbering is then considered as part of the compromises
that needs to be made. This compared to renumber when switching ISPs,
which is more or less the equivalent of saying that you need to change
your refrigerator if you decide to buy your groceries in another store.

> If a more expressive name and definition is decided upon,
> it can also help make a number of related questions easier
> to answer.

Agreed again.

Michel.

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------